import { BrsValue, ValueKind, BrsBoolean } from "../BrsType";
import { BrsComponent } from "./BrsComponent";
import { BrsType } from "..";
export declare class RoSystemLog extends BrsComponent implements BrsValue {
    readonly kind = ValueKind.Object;
    private readonly validEvents;
    private readonly enabledEvents;
    private port?;
    constructor();
    toString(parent?: BrsType): string;
    equalTo(other: BrsType): BrsBoolean;
    dispose(): void;
    private getNewEvents;
    /** Enables log message of type logType. */
    private readonly enableType;
}
